- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/targetableRemarketingLists/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/targetableRemarketingLists/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/targetableRemarketingLists/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/targetableRemarketingLists/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/targetableRemarketingLists/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/targetableRemarketingLists/list#body.TargetableRemarketingListsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/targetableRemarketingLists/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/targetableRemarketingLists/list#try-it)

Retrieves a list of targetable remarketing lists, possibly filtered. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/targetableRemarketingLists`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. Select only targetable remarketing lists targetable by these advertisers. |
| `active` | `boolean` Select only active or only inactive targetable remarketing lists. |
| `maxResults` | `integer` Maximum number of results to return. |
| `name` | `string` Allows searching for objects by name or ID. Wildcards (`*`) are allowed. For example, `"remarketing list*2015"` will return objects with names like `"remarketing list June 2015"`, `"remarketing list April 2015"`, or simply `"remarketing list 2015"`. Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of `"remarketing list"` will match objects with name `"my remarketing list"`, `"remarketing list 2015"`, or simply `"remarketing list"`. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Targetable remarketing list response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "targetableRemarketingLists": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/targetableRemarketingLists#TargetableRemarketingList`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#targetableRemarketingListsListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `targetableRemarketingLists[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/targetableRemarketingLists#TargetableRemarketingList`)`` Targetable remarketing list collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`